Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
DefaultConfigurator Class Reference

Configures the repository from environmental settings and files. More...

## Static Public Member Functions
static void | configure (log4cxx::spi::LoggerRepository *)
| Add a ConsoleAppender that uses PatternLayout using the PatternLayout::TTCC_CONVERSION_PATTERN and prints to `stdout` to the root logger. More...

## Detailed Description

Configures the repository from environmental settings and files.

## Member Function Documentation

static void configure | ( | log4cxx::spi::LoggerRepository * |  | ) |
| static

Add a ConsoleAppender that uses PatternLayout using the PatternLayout::TTCC_CONVERSION_PATTERN and prints to `stdout` to the root logger.

The documentation for this class was generated from the following file:

- defaultconfigurator.h